# yb_arm



### 拉取与推送：

【需要验证的方式】使用HTTP拉取项目：
```
git clone http://47.100.68.68:3000/BUPT/yb_arm.git
```

命令行中会让你输入自己的账号和密码。

```
> git clone http://47.100.68.68:3000/BUPT/yb_arm.git                                
Username for 'http://47.100.68.68:3000': <输入你的gitea账户名>
Password for 'http://qieyuan@47.100.68.68:3000': <输入你的gitea密码>
```

修改完代码后，推送也是一样：

```
> git push origin dev_ck_v2.1                                
Username for 'http://47.100.68.68:3000': <输入你的gitea账户名>
Password for 'http://qieyuan@47.100.68.68:3000': <输入你的gitea密码>
```

### 使用SSH拉取与推送（可选）：

【不需验证的方式】如果不想总是输入密码，可以使用SSH方式拉取和推送项目：

浏览器登录gitea仓库网站，右上角  `点击头像-个人设置-安全` 中上传自己的公钥即可。

如果本地已经指定了默认的git服务器（网上的教程一般会让github设为自己的默认服务器），
这种情况下，需要重新生成一个公钥，上传到gitea后，需要在本地（通常是C盘用户目录下的.ssh文件），`ssh config` 配置文件中，新添加一个`Host gitea` 设置：

```
# 本地默认服务器
Host github.com
        HostName github.com
        User git
        IdentityFile ~/.ssh/id_rsa_github
 
# 新添加一个gitea服务器，起个别名，比如gitea
Host gitea
        HostName 47.100.68.68
        Port 222
        User git
        # 这里填写自己的秘钥路径。
        IdentityFile ~/.ssh/id_rsa_gitea
```

然后正常拉取或者提交项目，注意要使用自己别名 `gitea`
```
git clone git@gitea:BUPT/yb_arm.git
```

### 编译：

在自己的linux用户配置下添加环境变量：

```bash
vim ~/.bashrc
```

```bash
# TODO YB通信相关环境
CROSS_CC_HOME=/home/qieyuan/bupt_project/yb/gcc-linaro-7.5.0-2019.12-x86_64_aarch64-linux-gnu/bin
export CROSS_CC=$CROSS_CC_HOME/aarch64-linux-gnu-
export PATH=$PATH:$CROSS_CC_HOME
```

加载：

```bash
source ~/.bashrc
```

编译 test.52

```bash
bash build.sh --jesd --pcie --test 52
```

‍可执行文件的输出路径：

```bash
./build/rfic.out
./build/msgtransfer.out
```

### 备注：

udp程序在板子上运行的时候，需要放进去一个本地文件 `data.txt`

程序默认读取文件路径是绝对路径，在板子上可以放到opt路径下

```
 /opt/data.txt
```

如果想改动这个路径：
```
vim ./ucp4008_platform_arm/test/case52/src/testcase52.c
```

```
// 第143行

data_txt_fd = fopen("/opt/data.txt","r"); // 此处建议修改为绝对路径。

```



